## ddskk 14.0.91

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.63 2007/08/18 04:09:39 skk-cvs Exp $
-# Last Modified: $Date: 2007/08/18 04:09:39 $
+# Version: $Id: Makefile,v 1.67 2010/02/10 11:57:49 skk-cvs Exp $
+# Last Modified: $Date: 2010/02/10 11:57:49 $
 
 
-VERSION = 13.1
+VERSION = 14.0.91
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -86,11 +86,9 @@
 	$(RM) $(SNAPBASE) ;\
 	ln -sf main $(SNAPBASE) ;\
 	$(TAR) -cvpf $(SNAPBASE).tar --exclude-from=$(SNAPBASE)/skk.ex --dereference $(SNAPBASE);\
-	$(BZIP2) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.bz2 ;\
 	$(GZIP) -cf $(SNAPBASE).tar > $(SNAPBASE).tar.gz ;\
 	$(RM) $(SNAPBASE).tar ;\
 	$(RM) $(SNAPBASE) ;\
-	$(MD5) $(SNAPBASE).tar.bz2 >$(SNAPBASE).tar.bz2.md5 ;\
 	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5
 	$(RM) skk-dic.el
