## ddskk 14.3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.67 2010/02/10 11:57:49 skk-cvs Exp $
-# Last Modified: $Date: 2010/02/10 11:57:49 $
+# Version: $Id: Makefile,v 1.85 2011/07/01 11:32:21 skk-cvs Exp $
+# Last Modified: $Date: 2011/07/01 11:32:21 $
 
 
-VERSION = 14.0.91
+VERSION = 14.3
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -16,9 +16,14 @@
 MD5	  = md5
 RM	  = /bin/rm -f
 SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
-TAR	  = tar
+TAR	  = gtar
 XEMACS	  = xemacs
 RUBY      = ruby
+PYTHON    = python
+SKK2CDB   = ./etc/skk2cdb.py -f
+CDB_SOURCE = ./dic/SKK-JISYO.L
+#CDB_TARGET = ./dic/$(notdir $(CDB_SOURCE)).cdb
+CDB_TARGET = ./dic/`basename $(CDB_SOURCE)`.cdb
 SKK_DEFAULT_JISYO =
 set_jisyo =
 
@@ -50,13 +55,8 @@
 what-where-package:
 	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package
 
-skk-dic:
-	$(RM) skk-dic.el
-	$(EMACS) $(FLAGS) -f SKK-MK-skk-dic
-
-rb-skk-dic:
-	$(RM) skk-dic.el
-	$(RUBY) etc/skk-dic.rb ../dic/SKK-JISYO.S
+cdb:
+	$(PYTHON) $(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)
 
 TAGS:
 	$(ETAGS) `find . -name '*.el'`
@@ -66,7 +66,6 @@
 	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
 
 tar: clean
-	cp -f skk-dic.el.in skk-dic.el
 	cd .. ;\
 	$(RM) ddskk-11.{1,2,3} ddskk-$(VERSION) ddskk-snapshot ddskk$(VERSION).tar.gz ddskk$(VERSION).tar.bz2 ddskk-$(VERSION).tar.gz ddskk-$(VERSION).tar.bz2 ;\
 	$(RM) ddskk-$(VERSION) ;\
@@ -78,7 +77,6 @@
 	$(RM) ddskk-$(VERSION) ;\
 	$(MD5) ddskk-$(VERSION).tar.bz2 >ddskk-$(VERSION).tar.bz2.md5 ;\
 	$(MD5) ddskk-$(VERSION).tar.gz >ddskk-$(VERSION).tar.gz.md5
-	$(RM) skk-dic.el
 
 snapshot: clean
 	cd .. ;\
@@ -90,6 +88,5 @@
 	$(RM) $(SNAPBASE).tar ;\
 	$(RM) $(SNAPBASE) ;\
 	$(MD5) $(SNAPBASE).tar.gz >$(SNAPBASE).tar.gz.md5
-	$(RM) skk-dic.el
 
 # end of Makefile.
