=== debian/changelog ===
ddskk (14.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/010_skk-study.patch: Removed. (merged upstream)
  * debian/emacsen-install:
    - Drop the emacs20 flavor.
    - Don't use install-info-altdir.
  * debian/emacsen-startup: Don't set skk-aux-large-jisyo.
  * debian/control: Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 01 Jul 2011 23:03:28 +0900

ddskk (14.2-2) unstable; urgency=low

  * debian/patches/010_skk-study.patch: Merge the changes of skk-study.el
    into experimental/skk-study.el. (closes: #613952)
  * debian/patches/020_ruby1.8.patch: Use ruby1.8 instead of ruby for bskk.
  * debian/control: Suggests ruby1.8 instead of ruby.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 21 Feb 2011 23:29:59 +0900

ddskk (14.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Don't depend on apel for GNU Emacs.
    - Add skkdic-cdb to Recommends because of the skk-cdb feature.
    - Revise Description to mention yaskkserv and directly use of a
      dictionary file without skkserv.
    - Add GNU Emacs flavors to Build-Depends-Indep.
    - Set Standards-Version to 3.9.1.
  * debian/README.Debian: Mention that how to customize skk-server-host,
    skk-cdb-large-jisyo and skk-large-jisyo.
  * debian/rules: Install bayesian/*, not experimental/bayesian/*.
  * debian/emacsen-install:
    - Use ddskk's install.el and remove it at build time.
    - Remove *.elc before byte-compilation to avoid an installation failure.
    - Remove useless options for SKK-MK.
  * debian/emacsen-startup:
    - Add comment for skk-cdb-large-jisyo and skk-large-jisyo.
    - Don't set the obsolete variable skk-e21-coding-system.
  * debian/copyright: Updated.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 09 Feb 2011 23:40:34 +0900

ddskk (14.0.91-1) unstable; urgency=low

  * New upstream release. (pre-release version)
  * debian/control:
    - Revive the dependency for skkserv. (closes: #551719)
    - Add `emacs-snapshot' to Depends.
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add `${misc:Depends}' to Depends.
    - Set Section to lisp.
    - Set Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 11 Feb 2010 00:11:44 +0900

ddskk (13.1-3) unstable; urgency=low

  * debian/control:
    - Add emacs23 to Depends.
    - Move skkdic from Suggests to Recommends.
    - Set Standards-Version to 3.8.2.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/postinst, debian/prerm: Don't use install-info.
  * debian/rules, debian/__env.el: Don't use __env.el.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 02 Aug 2009 23:31:34 +0900

ddskk (13.1-2) unstable; urgency=low

  * debian/emacsen-startup: Set skk-e21-coding-system to nil to display
    the Japanese menu item with tmm.el. (closes: #470646)
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Build-Depends: debhelper (>= 6).
    - Set Standards-Version to 3.7.3.
  * debian/compat: 5 -> 6.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 23 Apr 2008 22:50:37 +0900

ddskk (13.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add dictionaries-common to Suggests.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 18 Aug 2007 19:00:08 +0900

ddskk (13.0.91+0.20070716-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-07-16)
  * Install skk.xpm. (closes: #429822)
  * debian/emacsen-startup: Add "/usr/share/skk" to data-directory-list.
  * debian/control:
    - Prefer emacs to emacs21.
    - Add emacs22 to Depends.
    - Remove emacs-snapshot from Depends.
  * debian/emacsen-install: Don't install skk-lookup.elc and skk-jisx0213.elc
    which depend on external packages.
  * debian/rules: Don't ignore an error of `make clean'.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Jul 2007 22:27:56 +0900

ddskk (13.0.91+0.20070429-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-29)
  * debian/rules: Don't add coding tag.
  * debian/control: Remove nkf from Build-Depends-Indep.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 02 May 2007 21:59:12 +0900

ddskk (13.0.91+0.20070420-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-20)
  * debian/emacsen-install:
    - Prefer euc-jp and iso-2022-jp.
    - Remove SITEFLAG.
  * debian/rules:
    - Prefer euc-jp and iso-2022-jp for SKK-MK.
    - Specify coding system euc-jp for non-Japanese environments.
  * debian/control: Add nkf to Build-Depends-Indep.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Apr 2007 00:00:41 +0900

ddskk (13.0.91+0.20070408-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2007-04-08)
    - Fix slow skk-search-server-1. (closes: #417731)
  * debian/control:
    - Depend on apel (>= 10.7).
    - Add `lookup-el, kakasi, w3m-el' to Suggests.
    - Revise Description for optional features.
  * debian/emacsen-install: Don't set APEL_SPECIFIC_LISPDIR.
  * debian/postinst: Disable the obsolete configuration file
    `/etc/emacs/site-start.d/50skk.el'.
  * debian/docs, debian/rules: Add more documents.
  * debian/watch: Set Action to uupdate.
  * debian/copyright: Update copyright years.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Apr 2007 21:03:35 +0900

ddskk (13.0.90.cvs20061119-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2006-11-19)
  * debian/README.Debian: Describe how to learn the usage of DDSKK.
  * debian/control (Description): Mention that the way of Kana to Kanji
    conversion is characteristic of SKK.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Nov 2006 00:15:38 +0900

ddskk (13.0.90.cvs20061010-3) unstable; urgency=low


