=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=ddskk

build: build-stamp
build-stamp:
	dh_testdir

#	$(MAKE)
	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp))" -l SKK-MK -f SKK-MK-compile-info

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -a *.el *.in SKK-* nicola tut-code/*.el bayesian/*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
	# Overwrite skk-study.el with experimental/skk-study.el
	cp -af experimental/*.el experimental/dbm/*.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/Makefile
	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/.cvsignore
	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/README* \
	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/SKK-MK
	sed 's/\(skk-exsearch\|skk-exserv\)/;;\1/' SKK-MK > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/SKK-MK

	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el
	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el

	cp etc/*.tut* debian/$(PACKAGE)/usr/share/skk
	cp etc/*.xpm debian/$(PACKAGE)/usr/share/pixmaps
	cp doc/skk.info* debian/$(PACKAGE)/usr/share/info

	dh_install bayesian/bskk usr/bin

	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo -n
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
