## ddskk 14.4

=== debian/changelog ===
ddskk (14.4-2) unstable; urgency=low

  * debian/emacsen-install, debian/rules: Set SKK_SET_JISYO to nil to
    prevent that SKK-MK takes time to connect skk-server.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 01 Apr 2012 12:16:18 +0900

ddskk (14.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/030_skk-emacs-type.patch: New patch to not use the
    abolished variable `skk-emacs-type'.
  * debian/emacsen-install, debian/rules: Consider byte-compilation failure
    of skk-exserv.el, skk-exsearch.el and skk-search-web.el.
  * debian/rules:
    - New targets build-arch and build-indep.
    - Don't use unnecessary -a option for cp.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Jan 2012 00:27:37 +0900
