=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs23 | emacs22
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
