## ddskk 15.1

=== debian/changelog ===
ddskk (15.1-4) unstable; urgency=low

  * New patch 0006-Add-coding-tag.patch
  * Do not remove nicola-ddskk-autoloads.el

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Jun 2013 07:52:24 +0900

ddskk (15.1-3) unstable; urgency=low

  * New patch 0005-Set-default-encoding-for-Ruby-1.9.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 27 May 2013 21:04:36 +0900

ddskk (15.1-2) unstable; urgency=low

  * Do not depend on ruby1.8
  * New patch 0004-Support-Ruby-1.9.patch
  * Remove 0001-Use-ruby1.8.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 May 2013 19:24:39 +0900

ddskk (15.1-1) unstable; urgency=low

  * Imported Upstream version 15.1
  * Remove 050_Do-not-use-obsolete-modeline.patch (merged upstream)
  * Remove 040_load-theme-in-emacs24.patch (merged upstream)
  * Remove 030_skk-emacs-type.patch (merged upstream)
  * debian/emacsen-install: Do not remove skk-setup.el and skk-*autoloads.el
  * debian/copyright: Updated
  * debian/control: Update Standards-Version to 3.9.4
  * debian/control: Add Vcs-Git and Vcs-Browser
  * debian/patches/*: Reordered
  * New patch 0002-Do-not-use-skk-sit-for.patch
  * New patch 0003-Use-modeline-for-XEmacs.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 06 May 2013 14:07:20 +0900

ddskk (14.4-4) unstable; urgency=low

  * New patch 040_load-theme-in-emacs24.patch (closes: #690842)
  * New patch 050_Do-not-use-obsolete-modeline.patch (closes: #705654)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 18 Apr 2013 20:26:03 +0900

ddskk (14.4-3) unstable; urgency=low

  * debian/control: Add emacs24 (closes: #680161)

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jul 2012 08:16:06 +0900
