=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs23 | emacs22
-Standards-Version: 3.9.3
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacs | emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
-Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby1.8, dictionaries-common
+Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby | ruby-interpreter, dictionaries-common
 Provides: skk
 Conflicts: skk
 Replaces: skk
