## ddskk 15.1.54

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile: makefile for SKK.
 #
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
-# Version: $Id: Makefile,v 1.85 2011/07/01 11:32:21 skk-cvs Exp $
-# Last Modified: $Date: 2011/07/01 11:32:21 $
+# Version: $Id: Makefile,v 1.103 2013/10/31 11:54:16 skk-cvs Exp $
+# Last Modified: $Date: 2013/10/31 11:54:16 $
 
 
-VERSION = 14.3
+VERSION = 15.1.54
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -19,11 +19,6 @@
 TAR	  = gtar
 XEMACS	  = xemacs
 RUBY      = ruby
-PYTHON    = python
-SKK2CDB   = ./etc/skk2cdb.py -f
-CDB_SOURCE = ./dic/SKK-JISYO.L
-#CDB_TARGET = ./dic/$(notdir $(CDB_SOURCE)).cdb
-CDB_TARGET = ./dic/`basename $(CDB_SOURCE)`.cdb
 SKK_DEFAULT_JISYO =
 set_jisyo =
 
@@ -54,9 +49,6 @@
 
 what-where-package:
 	$(XEMACS) $(FLAGS) -f SKK-MK-what-where-package
-
-cdb:
-	$(PYTHON) $(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)
 
 TAGS:
 	$(ETAGS) `find . -name '*.el'`
