=== debian/changelog ===
ddskk (15.1.54-2) unstable; urgency=medium

  * Do not fail with xemacs21 when apel is not yet configured
  * Install a compat file for emacsen-common 2.0.0
  * Handle an installed file to follow emacsen-common 2.0.7
  * Add emacsen-common (<< 2.0.0) to Conflicts
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 31 Jan 2014 22:44:29 +0900

ddskk (15.1.54-1) unstable; urgency=low

  * Imported Upstream version 15.1.54
    - Development snapshot on 2013-11-11, downloaded from:
      http://sourceforge.jp/users/kitamoto/pf/mirror/files/
  * Drop debian/patches (merged upstream)
  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Drop obsolete config handling
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 14 Dec 2013 21:40:27 +0900

ddskk (15.1-5) unstable; urgency=low

  * Drop emacs21 to prevent an installation failure

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 31 Jul 2013 06:42:40 +0900
