=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 build-indep: build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info > /dev/null
+	emacs -batch -q -no-site-file -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp)(setq SKK_SET_JISYO nil))" -l SKK-MK -f SKK-MK-compile-info
 	touch $@
 
 build-arch:
@@ -55,6 +55,8 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installemacsen
+	install -d debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat
+	echo 0 > debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat/$(PACKAGE)
 	dh_installman
 	dh_installinfo -n
 	dh_installchangelogs ChangeLog
