=== debian/changelog ===
ddskk (15.2-1) unstable; urgency=medium

  * Imported Upstream version 15.2
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6
  * Make symlinks before byte-compilation
  * Update bskk.1 to escape "-"
  * New patch 010_queue-m.patch to remove queue-m.el
  * Update README.Debian to mention skk-extra-jisyo-file-list

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 13:19:49 +0900

ddskk (15.1.54-3) unstable; urgency=medium

  * Install a compat file with emacsen-compat
  * Use debian-emacs-flavor instead of flavor in emacsen-startup
  * Drop ruby-interpreter from ruby | ruby-interpreter
  * Depend on emacsen-common 2.0.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Aug 2014 19:25:22 +0900
