=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ddskk.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
-Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby | ruby-interpreter, dictionaries-common
+Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
-Conflicts: skk, emacsen-common (<< 2.0.0)
+Conflicts: skk
 Replaces: skk
 Description: efficient Japanese input system for emacsen
  Daredevil SKK (DDSKK) is a fast and efficient Japanese input system
