=== debian/rules ===
--- 
+++ 
@@ -55,8 +55,6 @@
 	dh_installexamples
 	dh_installmenu
 	dh_installemacsen
-	install -d debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat
-	echo 0 > debian/$(PACKAGE)/usr/lib/emacsen-common/packages/compat/$(PACKAGE)
 	dh_installman
 	dh_installinfo -n
 	dh_installchangelogs ChangeLog
