=== debian/changelog ===
ddskk (16.1-2) unstable; urgency=medium

  * Prefer emacs-nox over emacs
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jan 2017 21:44:27 +0900

ddskk (16.1-1) unstable; urgency=medium

  * Imported Upstream version 16.1
  * Update debian/copyright
  * Drop debian/patches (merged upstream)
  * Update debian/docs to install README.md and others
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 09:44:56 +0900
