## ddskk 16.2

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,14 @@
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
 
 
-VERSION = 16.1
+VERSION = 16.2
 
 BZIP2     = bzip2 -9
 DATE	  = date
 EMACS	  = emacs
 ETAGS	  = etags
 FLAGS     = -batch -q -no-site-file -l SKK-MK
+GIT       = git
 GZIP      = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
@@ -62,27 +63,26 @@
 uninstall:
 	$(EMACS) $(FLAGS) -f SKK-MK-uninstall
 
+get:
+	$(EMACS) -batch -q -no-site-file -l tar-util.el -l skk-develop.el --eval='(skk-get "./dic")'
+
 TAGS:
 	$(ETAGS) `find . -name '*.el'`
+
 clean:
 	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
 	auto-autoloads.el custom-load.el ert.el \
 	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
 
+release: clean
+	$(RM) ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
+	$(GIT) archive --format=tar.gz --prefix=ddskk-$(VERSION)/ HEAD > ../ddskk-$(VERSION).tar.gz ;\
+	$(GIT) archive --format=tar --prefix=ddskk-$(VERSION)/ HEAD | $(BZIP2) -c > ../ddskk-$(VERSION).tar.bz2 ;\
+	$(MD5) ../ddskk-$(VERSION).tar.bz2 > ../ddskk-$(VERSION).tar.bz2.md5 ;\
+	$(MD5) ../ddskk-$(VERSION).tar.gz > ../ddskk-$(VERSION).tar.gz.md5
+
 tar: clean
-	$(RM) ../ddskk-11.{1,2,3} ../ddskk-$(VERSION) ../ddskk-snapshot ../ddskk$(VERSION).tar.gz ../ddskk$(VERSION).tar.bz2 ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
-	ln -sf `$(PWD)`  ../ddskk-$(VERSION) ;\
-	cd .. ;\
-	$(TAR) -cvpf ddskk-$(VERSION).tar --exclude-from=ddskk-$(VERSION)/skk.ex --dereference ddskk-$(VERSION) ;\
-	$(BZIP2) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.bz2 ;\
-	$(GZIP) -cf ddskk-$(VERSION).tar > ddskk-$(VERSION).tar.gz ;\
-	$(RM) ddskk-$(VERSION).tar ;\
-	$(RM) ddskk-$(VERSION) ;\
-	$(MD5) ddskk-$(VERSION).tar.bz2 >ddskk-$(VERSION).tar.bz2.md5 ;\
-	$(MD5) ddskk-$(VERSION).tar.gz >ddskk-$(VERSION).tar.gz.md5
-
-snapshot: clean
-	$(RM) ../ddskk-11.{1,2,3} ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
+	$(RM) ../ddskk-$(VERSION) ../ddskk-snapshot $(SNAPBASE).tar.gz ../$(SNAPBASE).tar.bz2 ;\
 	$(RM) ../$(SNAPBASE) ;\
 	ln -sf `$(PWD)` ../$(SNAPBASE) ;\
 	cd .. ;\
