=== debian/changelog ===
ddskk (16.2-2) unstable; urgency=medium

  * Update debhelper compat version to 10
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3
  * Update dictionaries configuration in README.Debian

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 10 Feb 2018 23:23:01 +0900

ddskk (16.2-1) unstable; urgency=medium

  * New upstream version 16.2
  * Drop emacs22
  * Install bayesian/README.ja.md
  * Update debian/copyright
  * Update Standards-Version to 4.1.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 23 Dec 2017 23:01:01 +0900
