=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/ddskk.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ddskk.git
+Build-Depends: debhelper (>= 10)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/ddskk
+Vcs-Git: https://salsa.debian.org/debian/ddskk.git
 Homepage: http://openlab.jp/skk/
 
 Package: ddskk
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
