=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/.cvsignore
 	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/ChangeLog* debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/nicola/README* \
 	  debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/nicola/
+	if [ -f bayesian/README.ja.md ]; then cp -f bayesian/README.ja.md debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/README.bayesian.ja.md; fi
 
 	rm -f debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el
 	sed 's!/usr/local!/usr!;s!SKK-JISYO\.L!SKK-JISYO!' experimental/skk-exsearch.el > debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/skk-exsearch.el
