=== debian/watch ===
version=3
http://openlab.ring.gr.jp/skk/maintrunk/ddskk-([0-9]+\.[.0-9]+)\.tar\.gz debian uupdate
