## ddskk 16.2+0.20190423

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Maintainer: SKK Development Team <skk@ring.gr.jp>
 
 
-VERSION = 16.2
+VERSION = 16.2.50
 
 BZIP2     = bzip2 -9
 DATE	  = date
@@ -14,6 +14,10 @@
 GZIP      = gzip -9
 MD5	  = md5
 RM	  = /bin/rm -f
+TEXI2PDF  = /usr/bin/texi2pdf
+MAKEINFO  = /usr/bin/makeinfo
+DBTOEPUB  = /usr/bin/dbtoepub
+KINDLEGEN = $(HOME)/bin/kindlegen
 SNAPBASE  = ddskk-`$(DATE) '+%Y%m%d'`
 TAR	  = gtar
 XEMACS	  = xemacs
@@ -39,8 +43,47 @@
 package:
 	$(XEMACS) $(FLAGS) -f SKK-MK-compile-package
 
-info:
+.SUFFIXES: .org .texi .info .html .pdf
+
+.org.html:
+	$(EMACS) $(FLAGS) -f SKK-MK-export-to-html
+
+html: doc/skk.org doc/skk.html
+
+texi: doc/skk.org doc/skk.texi
+
+# skk.org -> skk.texi -> skk.info
+.org.texi:
+	$(EMACS) $(FLAGS) -f SKK-MK-export-to-texinfo
+
+.texi.info:
 	$(EMACS) $(FLAGS) -f SKK-MK-compile-info
+
+info: doc/skk.info doc/skk.texi doc/skk.org
+
+# skk.org -> skk.texi -> skk.pdf
+#   based on http://www.trueroad.jp/2016/05/14-01.html
+pdf: doc/skk.pdf doc/skk.texi doc/skk.org
+
+.texi.pdf:
+	$(EMACS) $(FLAGS) -f SKK-MK-edit-texi
+	cd doc;                                           \
+	PDFTEX=luatex $(TEXI2PDF) --output=skk.pdf tmp.texi; \
+	$(RM) tmp.texi
+
+# skk.org -> skk.texi -> skk.xml -> skk.epub -> skk.mobi
+.SUFFIXES: .xml .epub .mobi
+
+mobi: doc/skk.mobi doc/skk.epub doc/skk.xml doc/skk.texi doc/skk.org
+
+.texi.xml:
+	$(MAKEINFO) --docbook doc/skk.texi -o doc/
+
+.xml.epub:
+	$(DBTOEPUB) -s doc/mobi.xsl doc/skk.xml -o doc/skk.epub
+
+.epub.mobi:
+	- $(KINDLEGEN) doc/skk.epub -verbose -locale ja -o skk.mobi
 
 install:
 	$(EMACS) $(FLAGS) -f SKK-MK-install
@@ -72,7 +115,10 @@
 clean:
 	-$(RM) leim-list.el skk-autoloads.el skk-setup.el *.elc experimental/*.elc \
 	auto-autoloads.el custom-load.el ert.el \
-	./doc/skk.info* `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
+	./doc/skk.info* ./doc/skk.html* ./doc/skk.pdf \
+	./doc/skk.xml ./doc/skk.epub ./doc/skk.mobi \
+	./doc/*.aux ./doc/*.cp* ./doc/*.fn* ./doc/*.ky* ./doc/*.log ./doc/*.toc ./doc/*.vr* \
+	`find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'`
 
 release: clean
 	$(RM) ../ddskk-$(VERSION).tar.gz ../ddskk-$(VERSION).tar.bz2 ;\
