=== debian/changelog ===
ddskk (16.2+0.20190423-1) unstable; urgency=medium

  * New upstream version 16.2+0.20190423
    - vip.el is no longer included (closes: #431071)
  * Drop debian/patches
  * Update debian/docs to install history.md and skk.org
  * Don't install nicola/*.bat
  * Update debian/copyright
  * Update Standards-Version to 4.4.0
  * Skip old flavors xemacs20 and xemacs19
  * Handle maint/*.el files

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 14 Jul 2019 13:06:22 +0900

ddskk (16.2-7) unstable; urgency=medium

  * New patch 020_reiwa.patch to not fail when 令和元年 (2019/5-)
    (closes: #926861)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 12 Apr 2019 21:18:06 +0900

ddskk (16.2-6) unstable; urgency=medium

  * New patch 010_unibyte.patch to enable M-SPC and M-Q for Emacs 26
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0
  * Update Homepage from openlab.jp to GitHub

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 10 Jan 2019 00:38:19 +0900

ddskk (16.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Use "127.0.0.1" instead of "localhost" for skkserv
  * Prefer skkdic-cdb to skkserv by default
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 25 Nov 2018 19:00:56 +0900

ddskk (16.2-4) unstable; urgency=medium

  * Fix handling for xemacs21-mule/nomule
  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Change "#!/bin/sh -e" to "set -e" on a new line
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 20 Aug 2018 00:50:27 +0900

ddskk (16.2-3) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 20:00:46 +0900
