=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 11)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/ddskk
 Vcs-Git: https://salsa.debian.org/debian/ddskk.git
-Homepage: http://openlab.jp/skk/
+Homepage: https://github.com/skk-dev/ddskk
 
 Package: ddskk
 Architecture: all
 Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | xemacs21-mule | xemacs21-mule-canna-wnn | xemacs21-gnome-mule | xemacs21-gnome-mule-canna-wnn, emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs-snapshot | apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: dbskkd-cdb | skkserv | skkdic-cdb | skkdic
+Recommends: skkdic-cdb | dbskkd-cdb | skkserv | skkdic
 Suggests: skkdic, skkdic-extra, skktools, lookup-el, kakasi, w3m-el, eieio, ruby, dictionaries-common
 Provides: skk
 Conflicts: skk
